Commits

Lee Pak Hong  committed 3528c1c

Update gambas2 to 2.24.0

Signed-off-by: Lee Pak Hong <benreilly@vector.Linux.net>

  • Participants
  • Parent commits 6b7536c
  • Branches veclinux-7.0

Comments (0)

Files changed (6)

File var/vabs/gambas2/src/gambas.png

Added
New image

File var/vabs/gambas2/src/gambas2.SlackBuild

-#!/bin/bash
-
-##SlackBuild style build script
-
-#CWD=`pwd`
-NAME=gambas2
-VERSION=2.24.0
-ARCH=$(uname -m)
+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="gambas2"            #Enter package Name!
+VERSION=${VERSION:-"2.24.0"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
+LINK=${LINK:-"http://prdownloads.sourceforge.net/gambas/$NAME-$VERSION.tar.bz2"}  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
 BUILDNUM=${BUILDNUM:-"1"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-#BUILD=2vl70
-VL_PACKAGER=Uelsk8s
-
-SOURCE="http://prdownloads.sourceforge.net/gambas/$NAME-$VERSION.tar.bz2"
-MAKEDEPENDS=${MAKEDEPENDS:-""}
-
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-"gambas2-runtime >= 2.24.0"} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-"mysql unixodbc postgresql"} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-"mysql unixodbc postgresql"} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
 CWD=$(pwd)
 cd ../
 RELEASEDIR=$(pwd)
 mkdir -p $RELEASEDIR/tmp
 TMP=$RELEASEDIR/tmp
 PKG=$TMP/package-$NAME
+#--------------------------------------------
 
 
 
-if [ "$TMP" = "" ]; then
-  TMP=/tmp
-fi
-
 if [ $UID != 0 ]; then
-	echo "You need to be root to run this script."
-	exit
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
 fi
 
 if [ ! -x /usr/bin/requiredbuilder ]; then
-	echo "Requiredbuilder not installed, or not executable."
-	#exit
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
 fi
 
-if [ ! -d $TMP/finished-packages ]; then
-	mkdir -p $TMP/finished-packages
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
 fi
 
-PKG=$TMP/package-$NAME
-SRCDIR=$TMP/$NAME-$VERSION
-rm -rf $PKG
-rm -rf $PKG-runtime
-rm -rf $SRCDIR
-mkdir -p $PKG/usr
-mkdir $PKG/install
-mkdir -p $PKG-runtime/usr
-mkdir $PKG-runtime/install
-
-
-# Get the source
-if [ ! -f $CWD/$NAME-$VERSION.tar.bz2 ]; then
-	wget -c $SOURCE 
-fi
 
 #CFLAGS SETUP
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
-  ARCH=x86
+  ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
   CONFIGURE_TRIPLET="i486-slackware-linux"
   LIBDIRSUFFIX=""
 export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
 export CXXFLAGS=$CFLAGS
 export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
 
-tar xvf $CWD/$NAME-$VERSION.tar.bz2 -C $TMP
-cd $SRCDIR
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget --no-check-certificate -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+echo "Extracting source..."
+tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
+#-----------------------------------------------------
+
+
+cd $TMP/$NAME-$VERSION
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+#for i in $CWD/patches/*;do
+#  patch -p1 <$i
+#  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+#  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+#done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
 chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+echo "Configuring source..."
 ./reconf-all
-
-CPPFLAGS='-I/usr/include/poppler -I/usr/X11R6/include' \
-LDFLAGS='-L/usr/X11R6/lib' \
 ./configure --prefix=/usr \
---libdir=/usr/lib${LIBDIRSUFFIX} \
---with-moc=/opt/kde3/bin/moc --sysconfdir=/etc \
---with-qt-dir=/opt/kde3/lib${LIBDIRSUFFIX}/qt3 \
---with-qt-includes=/opt/kde3/lib${LIBDIRSUFFIX}/qt3/include \
---with-qt-libraries=/opt/kde3/lib${LIBDIRSUFFIX}/qt3/lib \
---with-extra-includes=/opt/kde3/include \
---mandir=/usr/man \
---localstatedir=/var \
---with-included-gettext \
---enable-bzlib2 \
---enable-zlib2 \
---enable-mysql \
---enable-sqlite2 \
---enable-sqlite3 \
---enable-postgresql \
---enable-gtk \
---enable-gtksvg \
---enable-pdf \
---enable-net \
---enable-curl \
---enable-smtp \
---enable-pcre \
---enable-qt \
---enable-qte \
---enable-sdl \
---enable-sdlsound \
---enable-xml \
---enable-v4l \
---enable-crypt \
---enable-opengl \
---enable-ldap \
---enable-image \
---enable-kde \
---enable-optimization \
---disable-debug
-
-sleep 5 # Just a wait to see if any components were not built
-make
-
-if ( ! make ); then
-	echo "make failed"
-	exit
-fi
-
-cp $CWD/slack-desc* .
-
-cat >> slack-desc_ide << EOF
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --with-included-gettext \
+  --disable-debug \
+  --with-moc=/opt/kde3/bin/moc \
+  --with-qt-dir=/opt/kde3/lib${LIBDIRSUFFIX}/qt3 \
+  --with-qt-includes=/opt/kde3/lib${LIBDIRSUFFIX}/qt3/include \
+  --with-qt-libraries=/opt/kde3/lib${LIBDIRSUFFIX}/qt3/lib \
+  --with-extra-includes=/opt/kde3/include \
+  --enable-bzlib2 \
+  --enable-zlib2 \
+  --enable-mysql \
+  --enable-sqlite2 \
+  --enable-sqlite3 \
+  --enable-postgresql \
+  --enable-gtk \
+  --enable-gtksvg \
+  --enable-pdf \
+  --enable-net \
+  --enable-curl \
+  --enable-smtp \
+  --enable-pcre \
+  --enable-qt \
+  --enable-qte \
+  --enable-sdl \
+  --enable-sdlsound \
+  --enable-xml \
+  --enable-v4l \
+  --enable-crypt \
+  --enable-opengl \
+  --enable-ldap \
+  --enable-image \
+  --enable-kde \
+  --enable-optimization \
+  --program-prefix="" \
+  --program-suffix="" \
+  --build=$CONFIGURE_TRIPLET \
+  $CONFIG_OPTIONS || exit 1
+
+make || exit 1
+
+make install DESTDIR=$PKG || exit 1
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+# Prepare the runtime packaging directory
+mkdir -p $PKG-runtime/usr/bin
+mkdir -p $PKG-runtime/usr/lib
+mkdir -p $PKG-runtime/usr/share/gambas2
+mkdir -p $PKG-runtime/install
+mv $PKG/usr/share/gambas2/info $PKG-runtime/usr/share/gambas2
+mv $PKG/usr/lib/gambas2 $PKG-runtime/usr/lib
+rmdir $PKG/usr/lib
+mv $PKG/usr/bin/gbi2 $PKG-runtime/usr/bin
+mv $PKG/usr/bin/gbx2 $PKG-runtime/usr/bin
+mv $PKG/usr/bin/gbr2 $PKG-runtime/usr/bin
 
-#----------------------------------------
+# copy desktop icon files
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/opt/kde/share/applnk/Development/Gambas/Docs
+mkdir $PKG/usr/share/pixmaps
+cat $CWD/gambas2.desktop > $PKG/usr/share/applications/gambas2.desktop
+cat $CWD/gambas2.desktop.kde > \
+	$PKG/opt/kde/share/applnk/Development/Gambas/gambas2.desktop
+cat $CWD/manual.desktop.kde > \
+	$PKG/opt/kde/share/applnk/Development/Gambas/Docs/manual.desktop
+cat $CWD/gambas.png > $PKG/usr/share/pixmaps/gambas.png
+cat $CWD/gambas2.png > $PKG/usr/share/pixmaps/gambas2.png
 
-BUILDDATE: `date`
-PACKAGER:  $VL_PACKAGER
-HOST:      `uname -srm`
-DISTRO:    `cat /etc/vector-version`
-CFLAGS:    $CFLAGS
-CONFIGURE: `awk "/\.\/configure\ /" config.log`
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README* \
+$PKG/usr/doc/$NAME-$VERSION
+mkdir -p $PKG-runtime/usr/doc/$NAME-runtime-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README* \
+$PKG-runtime/usr/doc/$NAME-runtime-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+cat $CWD/$NAME.SlackBuild > $PKG-runtime/usr/doc/$NAME-runtime-$VERSION/$NAME.SlackBuild
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ];then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ];then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
 
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ];then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
 EOF
+fi
 
-cat >> slack-desc_runtime << EOF
-#----------------------------------------
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
 
-BUILDDATE: `date`
+cat >> $PKG/install/doinst.sh << EOF
+# update rarian database
+if [ -x usr/bin/rarian-sk-update ]; then
+  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
+fi
+
+# update mime database
+if [ -x usr/bin/update-mime-database ]; then
+  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
+fi
+
+# update desktop entries
+if [ -x usr/bin/update-desktop-database ]; then
+  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+fi
+
+# update hicolor icons
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+	rm -f usr/share/icons/hicolor/icon-theme.cache
+fi
+usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null
+
+if [ -x /usr/bin/glib-compile-schemas ]; then
+  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
+fi
+
+# Restart gconfd-2 if running to reload new gconf settings
+if ps acx | grep -q gconfd-2 ; then
+        killall -HUP gconfd-2 ;
+fi
+
+# A good idea whenever kernel modules are added or changed:
+if [ -x sbin/depmod ]; then
+  /sbin/depmod -a 1> /dev/null 2> /dev/null
+fi
+EOF
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (BASIC IDE for Linux)
+$NAME:
+$NAME: Gambas is a free development environment based on a Basic interpreter 
+$NAME: with object extensions, a bit like Visual Basic (but it is NOT a 
+$NAME: clone !). 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: http://gambas.sourceforge.net/en/main.html
+$NAME: Website: http://gambas.sourceforge.net/en/main.html
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
 PACKAGER:  $VL_PACKAGER
-HOST:      `uname -srm`
-DISTRO:    `cat /etc/vector-version`
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
-CONFIGURE: `awk "/\.\/configure\ /" config.log`
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
 
-make install DESTDIR=$PKG
-mkdir -p $PKG/usr/share/applications
-mkdir -p $PKG/opt/kde/share/applnk/Development/Gambas/Docs
-mkdir $PKG/usr/share/pixmaps
-mkdir $PKG-runtime/usr/bin
-mkdir -p $PKG-runtime/usr/lib
-mkdir -p $PKG-runtime/usr/share/gambas2
-mkdir -p $PKG/install
-mkdir -p $PKG-runtime/install
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+# Making gambas2-runtime package
+cat > $RELEASEDIR/slack-desc.runtime << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME-runtime: $NAME-runtime (Runtime library for Gambas2)
+$NAME-runtime:
+$NAME-runtime: Runtime library for Gambas2.
+$NAME-runtime: 
+$NAME-runtime: 
+$NAME-runtime: 
+$NAME-runtime:
+$NAME-runtime:
+$NAME-runtime: License: GPL
+$NAME-runtime: Authors: http://gambas.sourceforge.net/en/main.html
+$NAME-runtime: Website: http://gambas.sourceforge.net/en/main.html
 
-# This is just a trick to trim out a bunch of junk off these desc files.
-cat slack-desc_ide | grep -v "^configure:[0-9]" > $PKG/install/slack-desc
-cat slack-desc_runtime | grep -v "^configure:[0-9]" > $PKG-runtime/install/slack-desc
+EOF
 
-cat $CWD/gambas2.desktop > $PKG/usr/share/applications/gambas2.desktop
-cat $CWD/gambas2.desktop.kde > \
-	$PKG/opt/kde/share/applnk/Development/Gambas/gambas2.desktop
-cat $CWD/manual.desktop.kde > \
-	$PKG/opt/kde/share/applnk/Development/Gambas/Docs/manual.desktop
-cat $CWD/gambas.png > $PKG/usr/share/pixmaps/gambas.png
-cat $CWD/gambas2.png > $PKG/usr/share/pixmaps/gambas2.png
+cat >> $RELEASEDIR/slack-desc.runtime << EOF
 
 
-( cd $PKG
-  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
 
-#Move some files out to the runtime packaging directory
-mv $PKG/usr/share/gambas2/info $PKG-runtime/usr/share/gambas2
-mv $PKG/usr/lib/gambas2 $PKG-runtime/usr/lib
-rmdir $PKG/usr/lib
-mv $PKG/usr/bin/gbi2 $PKG-runtime/usr/bin
-mv $PKG/usr/bin/gbx2 $PKG-runtime/usr/bin
-mv $PKG/usr/bin/gbr2 $PKG-runtime/usr/bin
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-mkdir -p $PKG-runtime/usr/doc/$NAME-runtime-$VERSION
-cp -a \
-	AUTHORS COPYING ChangeLog NEWS README* TODO \
-	$PKG/usr/doc/$NAME-$VERSION
-cp -a \
-	AUTHORS COPYING ChangeLog NEWS README* TODO \
-	$PKG-runtime/usr/doc/$NAME-runtime-$VERSION
-
-cat $PKG/install/slack-desc > $RELEASEDIR/slack-desc_ide
-cat $PKG-runtime/install/slack-desc > $RELEASEDIR/slack-desc_runtime
-
-#cat $CWD/slack-desc_ide > $PKG/install/slack-desc
-#cat $CWD/slack-desc_runtime > $PKG-runtime/install/slack-desc
-requiredbuilder -v -y -s $RELEASEDIR $PKG-runtime
-requiredbuilder -v -y -s $RELEASEDIR $PKG
-#cat $CWD/slack-required > $PKG/install/slack-required
-#cat $CWD/slack-required > $PKG-runtime/install/slack-required
-cat $CWD/slack-suggests > $PKG/install/slack-suggests
-cat $CWD/slack-suggests > $PKG-runtime/install/slack-suggests
-echo "$NAME-runtime >= $VERSION-$ARCH-$BUILD" >> $PKG/install/slack-required
+EOF
 
-cd $PKG
-makepkg -p -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.tlz
-makepkg -p -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+cat $RELEASEDIR/slack-desc.runtime > $PKG-runtime/install/slack-desc
+
+# suggested packages to install
+cat >> $PKG-runtime/install/slack-suggests << EOF
+mysql >= 5.5.25
+postgresql >= 9.1.4
+unixodbc >= 2.3.0
+EOF
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
 cd $PKG-runtime
-makepkg -p -l y -c n $RELEASEDIR/$NAME-runtime-$VERSION-$ARCH-$BUILD.tlz
-makepkg -p -l y -c n $RELEASEDIR/$NAME-runtime-$VERSION-$ARCH-$BUILD.txz
-#cp $PKG/$NAME-$VERSION-$ARCH-$BUILD.tlz $TMP/finished-packages
-#echo "$NAME-$VERSION package is in $TMP/finished-packages"
-#cp $NAME-runtime-$VERSION-$ARCH-$BUILD.tlz $TMP/finished-packages
-#echo "$NAME-runtime-$VERSION package is in $TMP/finished-packages"
-rm -rf $TMP
-rm -rf $SRCDIR
-rm -rf $PKG
-rm -rf $PKG-runtime
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+#ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG-runtime
+EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG-runtime
+echo "Creating package $NAME-runtime-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-runtime-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/gambas2/src/gambas2.desktop

+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Exec=gambas2
+Icon=/usr/share/pixmaps/gambas2.png
+DocPath=
+Comment=BASIC IDE
+Terminal=false
+Name=Gambas 2
+GenericName=BASIC IDE
+Categories=Development;IDE
+NotShowIn=KDE;

File var/vabs/gambas2/src/gambas2.desktop.kde

+# KDE Config File
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Exec=gambas2
+Icon=/usr/share/pixmaps/gambas2.png
+DocPath=/opt/kde/gambas/share/gambas/help/WebHome.html
+Comment=BASIC IDE
+Terminal=false
+Name=Gambas2
+GenericName=BASIC IDE

File var/vabs/gambas2/src/gambas2.png

Added
New image

File var/vabs/gambas2/src/manual.desktop.kde

+# KDE Config File
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Exec=konqueror /usr/share/gambas2/help/WebHome.html
+Icon=html
+DocPath=
+Comment=Gambas Documentation
+Terminal=false
+Name=Manual
+GenericName=Gambas Docs